summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/guiscripts/startw4
-rwxr-xr-xbin/menuscripts/tsh11
-rw-r--r--config/common/mpd/mpd.conf2
m---------config/common/mpv/scripts/mpv-skipsilence0
-rw-r--r--config/home/.zshenv4
-rw-r--r--config/wayland/hypr/hyprland.conf2
6 files changed, 6 insertions, 17 deletions
diff --git a/bin/guiscripts/startw b/bin/guiscripts/startw
index 0383f48..dbf4450 100755
--- a/bin/guiscripts/startw
+++ b/bin/guiscripts/startw
@@ -1,8 +1,4 @@
#!/bin/sh
-
eval "$(keychain --dir "$XDG_CONFIG_HOME/keychain" --eval --quiet --agents gpg,ssh)"
eval "$(keychain --dir "$XDG_CONFIG_HOME/keychain" --eval --quiet --agents gpg 3A626DD20A32EB2E5DD9CE71CFD9ABC97158CD5D 2> /dev/null)"
-
-(cd ~/.config/waybar/ && ln -sf hyprland.jsonc config.jsonc)
-
Hyprland
diff --git a/bin/menuscripts/tsh b/bin/menuscripts/tsh
index 70e7ca8..0c57ee0 100755
--- a/bin/menuscripts/tsh
+++ b/bin/menuscripts/tsh
@@ -121,14 +121,6 @@ show_files()
rm -f "$tmp"/.torrent
}
-# Select a type after having displayed them with 'show_types'
-select_type()
-{
- for type in $categories
- do printf "%s\n" "$type"
- done | fzf
-}
-
trap "exit 1" INT
trap "cleanup" EXIT
@@ -205,7 +197,8 @@ do
if [ "$noaskdownload" ] || confirm 'download?'
then
- [ "${category:-$(select_type)}" ] || exit 1
+ [ "$category" ] || category="$(printf '%s' "$categories" | tr ' ' '\n' | fzf)"
+ [ "$category" ] || exit 2
transmission-remote debuc.com -a "$magnet" -w "/downloads/$category"
elif confirm "copy?"
then
diff --git a/config/common/mpd/mpd.conf b/config/common/mpd/mpd.conf
index 095b345..889b458 100644
--- a/config/common/mpd/mpd.conf
+++ b/config/common/mpd/mpd.conf
@@ -1,4 +1,4 @@
-music_directory "/media/manthe/music"
+music_directory "~/music"
playlist_directory "~/.config/mpd/playlists"
db_file "~/.config/mpd/database"
pid_file "~/.config/mpd/pid"
diff --git a/config/common/mpv/scripts/mpv-skipsilence b/config/common/mpv/scripts/mpv-skipsilence
new file mode 160000
+Subproject 2d6fd04dca3c70edf816e9af6fc30b302eb1c7a
diff --git a/config/home/.zshenv b/config/home/.zshenv
index 1d732ab..a87f01d 100644
--- a/config/home/.zshenv
+++ b/config/home/.zshenv
@@ -81,8 +81,8 @@ export FZF_DEFAULT_OPTS=$FZF_DEFAULT_OPTS'
export LESS="-i -r"
# Colored manpages
-export MANPAGER="less -R --use-color -Dd+r -Du+b"
-export MANROFFOPT="-P -c"
+# export MANPAGER="less -R --use-color -Dd+r -Du+b"
+# export MANROFFOPT="-P -c"
export CM_LAUNCHER="commander -c"
diff --git a/config/wayland/hypr/hyprland.conf b/config/wayland/hypr/hyprland.conf
index 0a00b31..d084eb9 100644
--- a/config/wayland/hypr/hyprland.conf
+++ b/config/wayland/hypr/hyprland.conf
@@ -31,7 +31,7 @@ general {
layout = dwindle
- cursor_inactive_timeout = 0
+ # cursor_inactive_timeout = 0
}
misc {